namespace efl { 
inline ::efl::eolian::return_traits<Efl_Flip>::type Flipable::flip_get() const
{
   Efl_Flip __return_value =  ::efl_flip_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Flip>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Flipable::flip_set( ::efl::eolian::in_traits<Efl_Flip>::type flip) const
{
    ::efl_flip_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Flip,  ::efl::eolian::in_traits<Efl_Flip>::type>(flip));
}
} 
namespace eo_cxx {
namespace efl { 
inline ::efl::eolian::return_traits<Efl_Flip>::type Flipable::flip_get() const
{
   Efl_Flip __return_value =  ::efl_flip_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Flip>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Flipable::flip_set( ::efl::eolian::in_traits<Efl_Flip>::type flip) const
{
    ::efl_flip_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Flip,  ::efl::eolian::in_traits<Efl_Flip>::type>(flip));
}
inline efl::Flipable::operator ::efl::Flipable() const { return *static_cast< ::efl::Flipable const*>(static_cast<void const*>(this)); }
inline efl::Flipable::operator ::efl::Flipable&() { return *static_cast< ::efl::Flipable*>(static_cast<void*>(this)); }
inline efl::Flipable::operator ::efl::Flipable const&() const { return *static_cast< ::efl::Flipable const*>(static_cast<void const*>(this)); }
} }

